import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
task_id_list = client.cloud.gpu_virtual.clusters.servers.delete(
server_id="f1c1eeb6-1834-48c9-a7b0-daafce64872b",
project_id=1,
region_id=7,
cluster_id="1aaaab48-10d0-46d9-80cc-85209284ceb4",
)
print(task_id_list.tasks)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/cloud"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
taskIDList, err := client.Cloud.GPUVirtual.Clusters.Servers.Delete(
context.TODO(),
"f1c1eeb6-1834-48c9-a7b0-daafce64872b",
cloud.GPUVirtualClusterServerDeleteParams{
ProjectID: gcore.Int(1),
RegionID: gcore.Int(7),
ClusterID: "1aaaab48-10d0-46d9-80cc-85209284ceb4",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", taskIDList.Tasks)
}
curl --request DELETE \
--url https://api.gcore.com/cloud/v3/gpu/virtual/{project_id}/{region_id}/clusters/{cluster_id}/servers/{server_id} \
--header 'Authorization: <api-key>'const options = {method: 'DELETE', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/cloud/v3/gpu/virtual/{project_id}/{region_id}/clusters/{cluster_id}/servers/{server_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tasks": [
"d478ae29-dedc-4869-82f0-96104425f565"
]
}Delete virtual GPU cluster server
Delete a server from a virtual GPU cluster and its associated resources.
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
task_id_list = client.cloud.gpu_virtual.clusters.servers.delete(
server_id="f1c1eeb6-1834-48c9-a7b0-daafce64872b",
project_id=1,
region_id=7,
cluster_id="1aaaab48-10d0-46d9-80cc-85209284ceb4",
)
print(task_id_list.tasks)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/cloud"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
taskIDList, err := client.Cloud.GPUVirtual.Clusters.Servers.Delete(
context.TODO(),
"f1c1eeb6-1834-48c9-a7b0-daafce64872b",
cloud.GPUVirtualClusterServerDeleteParams{
ProjectID: gcore.Int(1),
RegionID: gcore.Int(7),
ClusterID: "1aaaab48-10d0-46d9-80cc-85209284ceb4",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", taskIDList.Tasks)
}
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Path Parameters
Project ID
1
Region ID
7
Cluster unique identifier
"1aaaab48-10d0-46d9-80cc-85209284ceb4"
Server unique identifier
"f1c1eeb6-1834-48c9-a7b0-daafce64872b"
Query Parameters
Flag indicating whether the floating ips associated with server / cluster are deleted
true
Flag indicating whether the reserved fixed ips associated with server / cluster are deleted
true
Flag indicating whether all attached volumes are deleted
true
Optional list of floating ips to be deleted
["e4a01208-d6ac-4304-bf86-3028154b070a"]
Optional list of reserved fixed ips to be deleted
["a29b8e1e-08d3-4cec-91fb-06e81e5f46d5"]
Optional list of volumes to be deleted
["1333c684-c3da-4b91-ac9e-a92706aa2824"]
Response
OK
List of task IDs representing asynchronous operations. Use these IDs to monitor operation progress:
GET /v1/tasks/{task_id}- Check individual task status and details Poll task status until completion (FINISHED/ERROR) before proceeding with dependent operations.
["d478ae29-dedc-4869-82f0-96104425f565"]
Was this page helpful?